View Issue Details

IDProjectCategoryView StatusLast Update
0000718DraftBugpublic2012-08-11 19:27
Reporterdjreichel Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.13Fixed in Version0.13 
Summary0000718: Draft to Sketch conversion malfunctions
DescriptionFedora 16 32bit
Version: 0.13.0978 (Git)
Branch: master
Hash: 84d8605b83b1f839590cb4c6c6842f7ff570219f

A Draft circle created in GUI on the XZ plane, with center at around 0,5, will shift position to around 0,0 when it's converted to a sketch.

Then when the sketch is opened to edit, the view rolls 90 degrees about the X axis and the circle appears as a line.

In spite of the incorrect view of the sketch, a sweep made of the sketch produced a proper result.

I discovered this behavior while snapping draft circles to both ends of a helix in order to test creating a variable profile swept spring.
TagsNo tags attached.
FreeCAD Information

Relationships

child of 0000634 closedyorik Draft <--> Sketch conversion 

Activities

yorik

2012-05-23 11:32

administrator   ~0002079

Same as 0000634 ... There is a problem when adding arcs to a sketch, I still couldn't find out what's wrong....

yorik

2012-08-11 19:27

administrator   ~0002317

Fixed with 0000634 in 7a338f3

Issue History

Date Modified Username Field Change
2012-05-22 23:37 djreichel New Issue
2012-05-23 11:31 yorik Relationship added child of 0000634
2012-05-23 11:32 yorik Note Added: 0002079
2012-05-23 11:32 yorik Status new => assigned
2012-05-23 11:32 yorik Assigned To => yorik
2012-06-12 17:02 yorik Project FreeCAD => Draft
2012-06-12 17:06 yorik Target Version => 0.13
2012-08-11 19:27 yorik Note Added: 0002317
2012-08-11 19:27 yorik Status assigned => closed
2012-08-11 19:27 yorik Resolution open => fixed
2012-08-11 19:27 yorik Fixed in Version => 0.13